{
  # Tooling file for Nix and NixOS to get a quick start
  description = "pending";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-24.11";
  };

  outputs = { self, nixpkgs, ...}:
  let
    pkgs = nixpkgs.legacyPackages.x86_64-linux;
  in {

    devShells.x86_64-linux.default = pkgs.mkShell {
      buildInputs = [ 
        # Run CI/CD actions locally
        pkgs.act
      ];
      shellHook = ''
        alias run_workflows='act -W $PWD/.forgejo/workflows -P ubuntu-latest=ghcr.io/catthehacker/ubuntu:act-latest --pull=false'
        echo "Run 'run_workflows' to run the workflows locally"
      '';
    };
  };
}